opencv 2.2.0

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
Public Types | Public Member Functions | Protected Member Functions | List of all members
cv::WImageC< T, C > Class Template Referenceabstract

`#include <wimage.hpp>`

Inheritance diagram for cv::WImageC< T, C >:

## Public Types

enum | { kChannels = C }
typedef WImage< T >::BaseType | BaseType
Public Types inherited from cv::WImage< T >
typedef T | BaseType

## Public Member Functions

int | Channels () const
void | CopyFrom (const WImageC< T, C > &src)
WImageViewC< T, C > | View (int c, int r, int width, int height)
| WImageC (IplImage *img)
virtual | ~WImageC ()=0
Public Member Functions inherited from cv::WImage< T >
int | Channels () const
int | ChannelSize () const
void | CopyFrom (const WImage< T > &src)
int | Depth () const
int | Height () const
T * | ImageData ()
const T * | ImageData () const
IplImage * | Ipl ()
const IplImage * | Ipl () const
T * | operator() (int c, int r)
const T * | operator() (int c, int r) const
int | PixelSize () const
const T * | Row (int r) const
T * | Row (int r)
void | SetZero ()
WImageView< T > | View (int c, int r, int width, int height)
int | Width () const
int | WidthStep () const
virtual | ~WImage ()=0

## Protected Member Functions

void | operator= (const WImageC &)
void | SetIpl (IplImage *image)
| WImageC (const WImageC &)
Protected Member Functions inherited from cv::WImage< T >
void | operator= (const WImage &)
void | SetIpl (IplImage *image)
| WImage (const WImage &)
| WImage (IplImage *img)

## Additional Inherited Members

Protected Attributes inherited from cv::WImage< T >
IplImage * | image_

## Member Typedef Documentation

template<typename T, int C>

typedef WImage<T>::BaseType cv::WImageC< T, C >::BaseType

## Member Enumeration Documentation

template<typename T, int C>

anonymous enum

Enumerator:

  kChannels |

## Constructor & Destructor Documentation

template<typename T, int C>

cv::WImageC< T, C >::WImageC | ( | IplImage * | img | ) |

inline explicit

template<typename T , int C>

WImageC< T, C >::~WImageC | ( |  | ) |

inline pure virtual

template<typename T, int C>

cv::WImageC< T, C >::WImageC | ( | const WImageC< T, C > & |  | ) |

protected

## Member Function Documentation

template<typename T, int C>

int cv::WImageC< T, C >::Channels | ( |  | ) | const

inline

template<typename T, int C>

void cv::WImageC< T, C >::CopyFrom | ( | const WImageC< T, C > & | src | ) |

inline

template<typename T, int C>

void cv::WImageC< T, C >::operator= | ( | const WImageC< T, C > & |  | ) |

protected

template<typename T, int C>

void cv::WImageC< T, C >::SetIpl | ( | IplImage * | image | ) |

inline protected

template<typename T , int C>

WImageViewC< T, C > WImageC< T, C >::View | ( | int | c,
|  | int | r,
|  | int | width,
|  | int | height
| ) |  |

The documentation for this class was generated from the following file:

- /usr/ports/pobj/OpenCV-2.2.0/OpenCV-2.2.0/modules/core/include/opencv2/core/wimage.hpp